<?php

namespace App\Imports\Order;

use App\Models\Orders;
use Maatwebsite\Excel\Concerns\WithBatchInserts;
use Maatwebsite\Excel\Concerns\WithChunkReading;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;
use App\Imports\Order\vaccineSheet;

class vaccineOrder implements WithMultipleSheets,WithBatchInserts,WithChunkReading
{
    public function sheets(): array
    {
        //16页
        return [
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet(),
            new vaccineSheet()
        ];
    }

    public function batchSize(): int
    {
        return 1000;
    }

    public function chunkSize(): int
    {
        return 1000;
    }
}
